<?php
/**
 * Custom functions that act independently of the theme templates
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package DevotePress
 */

if ( ! function_exists( 'devotepress_sections' ) ) :
	/**
	 * Display Sections on header and footer with respect to the section option set in devotepress_sections_sort
	 */
	function devotepress_sections( $selector = 'header' ) {
		get_template_part( 'template-parts/header/site-header-main' );
		get_template_part( 'template-parts/navigation/navigation-primary' );
		get_template_part( 'template-parts/header/header-media' );
		get_template_part( 'template-parts/slider/display-slider' );
		get_template_part( 'template-parts/featured-content/display-featured' );
		get_template_part( 'template-parts/featured-two-columns/display-featured-two-columns' );
		get_template_part( 'template-parts/portfolio/display-portfolio' );
		get_template_part( 'template-parts/service/display-service' );
		get_template_part( 'template-parts/hero-content/content-hero' );
		get_template_part( 'template-parts/testimonial/display-testimonial' );
	}
endif;