<?php
/**
 * The template part for displaying content
 *
 * @package DevotePress
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-wrapper">
		<?php
		$content_layout = 'excerpt-image-left';

		devotepress_post_thumbnail( 'devotepress-featured' );

		?>

		<div class="entry-container">
			<header class="entry-header">
				<div class="entry-meta">
					<?php echo devotepress_entry_category(); ?>
				</div><!-- .entry-meta -->
				<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
					<span class="sticky-post"><?php esc_html_e( 'Featured', 'devotepress' ); ?></span>
				<?php endif; ?>

				<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
				<div class="entry-meta">
					<?php echo devotepress_header_highlight_meta(); ?>
				</div><!-- .entry-meta -->
			</header><!-- .entry-header -->

				<div class="entry-summary">
					<?php the_excerpt(); ?>
				</div><!-- .entry-summary -->

			<footer class="entry-footer">
				<div class="entry-meta">
					<?php
						devotepress_edit_link();
					?>
				</div>
			</footer>
		</div><!-- .entry-container -->
	</div><!-- .hentry-inner -->
</article><!-- #post-## -->
