<?php
/**
 * The template for displaying featured posts on the front page
 *
 * @package DevotePress
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="hentry-inner">
		<?php if ( has_post_thumbnail() ) : ?>
		<div class="post-thumbnail">
			<a href="<?php the_permalink(); ?>">
				<?php
				$thumbnail = 'devotepress-featured';

				the_post_thumbnail( $thumbnail );
				?>
				<?php if ( has_post_format() ) : ?>
					<div class="post-format-icon">
						<?php echo devotepress_get_svg( array(
							'icon'     => get_post_format(),
							'fallback' => true,
						) ); ?>
					</div>
				<?php endif; ?>
			</a>
		</div>
		<?php endif; ?>

		<div class="entry-container">
			<header class="entry-header">
				<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">','</a></h2>' ); ?>
				<div class="entry-meta">
					 	<?php echo devotepress_entry_date_author(); ?>
				</div><!-- .entry-meta -->
			</header>
		</div><!-- .entry-container -->
	</div><!-- .hentry-inner -->
</article>
